Bug 1847063 - Slow manifest import and/or refresh
Summary: Slow manifest import and/or refresh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: 6.8.0
Assignee: Jonathon Turel
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-15 14:45 UTC by Jonathon Turel
Modified: 2020-10-27 13:03 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-3.16.0-0.14.rc3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1851157 (view as bug list)
Environment:
Last Closed: 2020-10-27 13:03:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30101 0 Normal Closed Cleanup data more efficiently when importing backend objects 2021-02-04 18:03:03 UTC
Red Hat Knowledge Base (Solution) 5219231 0 None None None 2020-07-30 23:16:32 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:03:39 UTC

Description Jonathon Turel 2020-06-15 14:45:57 UTC
Description of problem:

In cases where there are a lot of content hosts attached to a single subscription and that subscription expires, manifest import and refresh can be *very* slow as the import cleans up data relating to the expired subscription.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jonathon Turel 2020-06-15 14:48:35 UTC
Connecting redmine issue https://projects.theforeman.org/issues/30101 from this bug

Comment 6 errata-xmlrpc 2020-10-27 13:03:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.